# Class AuthConfigFactoryImpl

java.lang.Object
jakarta.security.auth.message.config.AuthConfigFactory
org.apache.catalina.authenticator.jaspic.AuthConfigFactoryImpl

public class AuthConfigFactoryImpl extends AuthConfigFactory

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class AuthConfigFactory

  `AuthConfigFactory.RegistrationContext`

- ## Field Summary

  ### Fields inherited from class AuthConfigFactory

  `DEFAULT_FACTORY_SECURITY_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthConfigFactoryImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `detachListener(RegistrationListener listener, String layer, String appContext)`
  `AuthConfigProvider`
  `getConfigProvider(String layer, String appContext, RegistrationListener listener)`
  `AuthConfigFactory.RegistrationContext`
  `getRegistrationContext(String registrationID)`
  `String[]`
  `getRegistrationIDs(AuthConfigProvider provider)`
  `void`
  `refresh()`
  `String`
  `registerConfigProvider(AuthConfigProvider provider, String layer, String appContext, String description)`
  `String`
  `registerConfigProvider(String className, Map<String,String> properties, String layer, String appContext, String description)`
  `String`
  `registerServerAuthModule(ServerAuthModule serverAuthModule, Object context)`
  Convenience method for registering a `ServerAuthModule` that should have the same effect as calling `AuthConfigFactory.registerConfigProvider(AuthConfigProvider, String, String, String)` with the implementation providing the appropriate `AuthConfigProvider` generated from the provided context.
  `boolean`
  `removeRegistration(String registrationID)`
  `void`
  `removeServerAuthModule(Object context)`
  Convenience method for deregistering a `ServerAuthModule` that should have the same effect as calling `AuthConfigFactory.removeRegistration(String)`.

  ### Methods inherited from class AuthConfigFactory

  `getFactory, setFactory`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthConfigFactoryImpl

    public AuthConfigFactoryImpl()

- ## Method Details

  - ### getConfigProvider

    public AuthConfigProvider getConfigProvider(String layer, String appContext, RegistrationListener listener)
    Specified by:
      `getConfigProvider` in class `AuthConfigFactory`

  - ### registerConfigProvider

    public String registerConfigProvider(String className, Map<String,String> properties, String layer, String appContext, String description)
    Specified by:
      `registerConfigProvider` in class `AuthConfigFactory`

  - ### registerConfigProvider

    public String registerConfigProvider(AuthConfigProvider provider, String layer, String appContext, String description)
    Specified by:
      `registerConfigProvider` in class `AuthConfigFactory`

  - ### removeRegistration

    public boolean removeRegistration(String registrationID)
    Specified by:
      `removeRegistration` in class `AuthConfigFactory`

  - ### detachListener

    public String[] detachListener(RegistrationListener listener, String layer, String appContext)
    Specified by:
      `detachListener` in class `AuthConfigFactory`

  - ### getRegistrationIDs

    public String[] getRegistrationIDs(AuthConfigProvider provider)
    Specified by:
      `getRegistrationIDs` in class `AuthConfigFactory`

  - ### getRegistrationContext

    public AuthConfigFactory.RegistrationContext getRegistrationContext(String registrationID)
    Specified by:
      `getRegistrationContext` in class `AuthConfigFactory`

  - ### refresh

    public void refresh()
    Specified by:
      `refresh` in class `AuthConfigFactory`

  - ### registerServerAuthModule

    public String registerServerAuthModule(ServerAuthModule serverAuthModule, Object context)
    Description copied from class: `jakarta.security.auth.message.config.AuthConfigFactory`
    Convenience method for registering a `ServerAuthModule` that should have the same effect as calling `AuthConfigFactory.registerConfigProvider(AuthConfigProvider, String, String, String)` with the implementation providing the appropriate `AuthConfigProvider` generated from the provided context.
    Specified by:
      `registerServerAuthModule` in class `AuthConfigFactory`
    Parameters:
      `serverAuthModule` - The `ServerAuthModule` to register
      `context` - The associated application context
    Returns:
      A string identifier for the created registration

  - ### removeServerAuthModule

    public void removeServerAuthModule(Object context)
    Description copied from class: `jakarta.security.auth.message.config.AuthConfigFactory`
    Convenience method for deregistering a `ServerAuthModule` that should have the same effect as calling `AuthConfigFactory.removeRegistration(String)`.
    Specified by:
      `removeServerAuthModule` in class `AuthConfigFactory`
    Parameters:
      `context` - The associated application context